lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'carwow_rubocop/version'

Gem::Specification.new do |spec|
  spec.name                  = 'carwow_rubocop'
  spec.version               = CarwowRubocop::VERSION
  spec.required_ruby_version = Gem::Requirement.new('>= 2.7.0')
  spec.authors               = ['carwow Developers']
  spec.email                 = ['developers@carwow.co.uk']
  spec.summary               = "carwow's rubocop configuration"
  spec.description           = "All carwow's ruby projects will follow these rules"
  spec.homepage              = 'https://github.com/carwow/carwow_rubocop'
  spec.license               = 'MIT'

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_dependency 'rubocop', '>= 0.93'
  spec.add_dependency 'rubocop-performance'
  spec.add_dependency 'rubocop-rspec'
end
